version: '3.5'

services:
### SVC:inbiz:>>> Don't delete
  inbiz:
    hostname: inbiz
    image: registry.edoc2.com:5000/edoc2v5/inbiz:ecm-v6.6.2.0
    labels:
      "type": "1"
    environment:
      - LOGGER_ISDEBUG=true
      - LOGGER_MINCALLTIMESPAN=1000
      - ASPNETCORE_ENVIRONMENT=Production
    env_file:
      ./envfile.env
    networks:
      - edoc2
    cap_add:
      - SYS_PTRACE
    deploy:
      placement:
        constraints:
          - node.labels.nodetype == InDrive
      mode: global
      endpoint_mode: dnsrr
      restart_policy:
        condition: on-failure
#      resources:
#        limits:
#          memory: 24G
#      resources:
#        limits:
#          cpus: '8'
    logging:
      driver: "json-file"
      options:
        max-size: "2000k"
        max-file: "10"
#    logging:
#      driver: syslog
#      options:
#        syslog-address: "udp://logserver:55514"
#        syslog-format: "rfc3164"
#        tag: "edoc2"
### SVC:inbiz:<<< Don't delete

### SVC:inbiz-third:>>> Don't delete
#  inbiz-third:
#    hostname: inbiz-third
#    image: dev.registry.edoc2.com/edoc2v5/inbiz-third:20220123055028_b07405b9db634a58
#    labels:
#      "type": "1"
#    environment:
#      - LOGGER_ISDEBUG=false
#      - LOGGER_MINCALLTIMESPAN=1000
#    env_file:
#      ./envfile.env
#    networks:
#      - edoc2
#    deploy:
#      placement:
#        constraints:
#          - node.labels.nodetype == InDrive
#      mode: global
#      endpoint_mode: dnsrr
#      restart_policy:
#        condition: on-failure
# #     resources:
# #       limits:
# #         cpus: '8'
#    logging:
#      driver: "json-file"
#      options:
#        max-size: "2000k"
#        max-file: "10"
# #   logging:
# #     driver: syslog
# #     options:
# #       syslog-address: "udp://logserver:55514"
# #       syslog-format: "rfc3164"
# #       tag: "edoc2"
### SVC:inbiz-third:<<< Don't delete
networks:
  edoc2:
    external: true
    name: macrowing